/****************************************************************************
 Module
     main.c
 Description
     starter main() function for Events and Services Framework applications
 Notes

*****************************************************************************/
#include <stdint.h>
#include <stdbool.h>
#include <stdio.h>

#include "ES_Configure.h"
#include "ES_Framework.h"
#include "ES_Port.h"

// stripped down printf()
#include "dbprintf.h"

void main(void)
{
	ES_Return_t ErrorType;

	_HW_PIC32Init();

	#ifdef TERM_TESTING

	// When doing testing, it is useful to announce just which program
	// is running.
	printf( "the 2nd Generation Events & Services Framework V2.4\r\n");

	#endif // TERM_TESTING
	
	// Your hardware initialization function calls go here

	// now initialize the Events and Services Framework and start it running
	ErrorType = ES_Initialize(ES_Timer_RATE_1mS);
	if (ErrorType == Success)
	{
		ErrorType = ES_Run();
	}
	//if we got to here, there was an error
	switch (ErrorType)
	{
		case FailedPost:
		{
		printf("Failed on attempt to Post\n");
		}
		break;
		case FailedPointer:
		{
		printf("Failed on NULL pointer\n");
		}
		break;
		case FailedInit:
		{
		printf("Failed Initialization\n");
		}
		break;
		default:
		{
		printf("Other Failure\n");
		}
		break;
	}
	for ( ; ;)
	{
		;
	}
}

